public class Course {
    private String name;
    private Professor professor;
    private Student[] students = new Student[10];
    private Lab[] labs = new Lab[10];
    private int maxCapacity;
    private int currentLab = 0;
    private int currentCapacity = 0;
    public Course(String name, Professor professor, int credit){
        this.name = name;
        this.professor = professor;
        maxCapacity = credit;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return name;
    }
    public void setProfessor(Professor professor){
        this.professor = professor;
    }
    public Professor getProfessor(){
        return professor;
    }
    public void setStudents(Student[] students){
        for(int i = 0; i < students.length; i++){
            this.students[i] = students[i];
        }
    }
    public Student[] getStudents(){
        return students;
    }
    public int getCurrentCapacity(){
        return currentCapacity;
    }
    public int getMaxCapacity() {
        return maxCapacity;
    }
    public Lab[] getLabs(){
        return labs;
    }
    public void addLab(Lab lab){
        labs[currentLab] = lab;
        currentLab++;
    }
    //Add student in course and the first lab that has capacity
    public void enrollStudent(Student student){
        if (currentCapacity < maxCapacity) {
            students[currentCapacity] = student;
            currentCapacity++;
            setStudents(students);
            for(int i = 0 ; i < currentLab; i++){
                if(labs[i].getCurrentSize() < labs[i].getCapacity() && labs[i].isHere(student) == false){
                    labs[i].enrollStudent(student);                                                         //Add student to Lab if does not exit before.
                    break;
                }
            }
        } else {
            System.out.println("Class is full!!!");
        }
    }
    public void printMemberClass(){
        double sum = 0;
        for(int i = 0; i < currentCapacity; i++){
            students[i].print();
            sum += students[i].getGrade();
        }
        double v = sum / currentCapacity;
        System.out.println("Average of this class :"+v);
        System.out.println();
    }
}
