public class Faculty {
    private String name;
    private Professor[] professors = new Professor[19];
    private Student[] students = new Student[30];
    private Course[] courses = new Course[12];
    private int current = 0;
    private int currentP = 0;

    public Faculty(String name){
        this.name = name;
    }
    public String getName(){
        return name;
    }
    public void setStudents(Student[] students){
        this.students = students;
    }
    public Student[] getStudents(){
        return students;
    }
    public void setCourses(Course[] courses){
        this.courses = courses;
    }
    public void setProfessors(Professor[] professors){
        this.professors = professors;
    }
    public Professor[] getProfessors(){
        return professors;
    }
    public Course[] getCourses(){
        return courses;
    }
    public void addCourse(Course course){
        courses[current] = course;
        current++;
    }
    public void enrollStudent(Student student){
        for(int i = 0; i < current; i++){
            if(courses[i].getCurrentCapacity() < courses[i].getMaxCapacity()){
                courses[i].enrollStudent(student);
                break;
            }
        }
    }
    public void addProfessor(Professor professor){
        professors[currentP] = professor;
        currentP++;
        setProfessors(professors);
    }
    public boolean isStudentValid(Student student){
        for(int i = 0; i < current; i++){
            Student[] std = new Student[courses[i].getCurrentCapacity()];
            std = courses[i].getStudents();
            for(int j = 0; j < courses[i].getCurrentCapacity(); j++){
                if(std[j] == student){
                    return true;
                }
            }
        }
        return false;
    }
    public boolean isCourseValid(Course course){
        for(int i = 0; i < courses.length; i++){
            if(courses[i] == course)
                return true;
        }
        return false;
    }
    public boolean isProfessorValid(Professor professor){
        for(int i = 0; i < professors.length; i++){
            if(professors[i] == professor)
                return true;
        }
        return false;
    }
    public void printInfo() {
        System.out.println("INFORMATION ABOUT FACULTY : "+name);
        System.out.println();
        System.out.println("Information about professors : ");
        for(int i = 0; i < currentP; i++)
            professors[i].printProfessor();
        System.out.println("\nInformation about students : ");
        for(int i = 0; i < 3; i++){
            Professor p = courses[i].getProfessor();
            System.out.println("CourseOf:"+courses[i].getName()+" , CurrentCapacity:"+courses[i].getCurrentCapacity()+" , MaxCapacity:"+courses[i].getMaxCapacity()+" , NameOfProfessor:"+p.getFirstName()+p.getLastName());
            courses[i].printMemberClass();
        }
    }
}
