/**
 * The student class represents a student in a student administration system.
 * It holds the students details relevant in our context.
 *
 * @author MohammadaliKeshtparvar & ArminRezaei
 * @version 0.0
 */


public class Student {
    // the student's first name.
    private String firstName;
    // the student's last name.
    private String lastName;
    // the student ID.
    private String id;
    // the grade.
    private int grade;
    /**
     * Create a new student with a given name and ID number.
     *
     * @param fName first name of student.
     * @param lName last name of student.
     * @param sID student ID.
     */
    public Student (String fName, String lName, String sID, int sGrade){
        firstName = fName;
        lastName = lName;
        id = sID;
        grade = sGrade;
        /*setFirstName(fName);
        setLastName(lName);
        setId(sID);
        setGrade(sGrade);*/
    }

    /**
     * Get the first name of student.
     * @return firstName field.
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     *
     * @param fName set first name of a student.
     */
    public void setFirstName(String fName) {
        firstName = fName;
    }

    /**
     * Get the first name of student.
     * @return firstName field.
     */
    public String getLastName() {
        return lastName;
    }

    /**
     *
     * @param lName set first name of a student.
     */
    public void setLastName(String lName) {
        lastName = lName;
    }

    /**
     * Get the last name of student.
     * @return lastName field.
     */
    public String getId() {
        return id;
    }

    /**
     *
     * @param sID set id of a student.
     */
    public void setId(String sID) {
        id = sID;
    }

    /**
     * Get the grade of student.
     * @return grade field.
     */
    public int getGrade() {
        return grade;
    }

    /**
     *
     * @param sGrade set grade of a student.
     */
    public void setGrade(int sGrade) {
        grade = sGrade;
    }

    /**
     * Print the student's name and id number to the output terminal.
     */
    public void print() {
        System.out.println("FirstName:"+firstName+" , LastName:"+lastName+" , StudentID:"+id+" , Grade:"+grade);
    }
}
